Your best resources are:
- macro recording;
- V5Automation.chm available in the ..\bin directory of your CATIA installation;
- this forum;
- COE forum.
Your needed code would be roughly along these lines:
Sub CATMain()
Dim oDrwDoc As DrawingDocument
Set oDrwDoc = CATIA.ActiveDocument...
Well, my understanding is that you have a multi-bodies part in a Product and you'd like to create for each of the bodies a new Part and after the copy the bodies to fall in the same position as they were in the source part. If that's correct all you have to do is to use the Product to create a...
Try this way:
Sub Test()
Dim oProd As Product
Set oProd = CATIA.ActiveDocument.Product
Dim oParam As Parameter
Set oParam = oProd.UserRefProperties.CreateString("MATERIAL", "")
Dim oRels As Relations
Set oRels = oProd.Relations
Dim oRel As Relation...
Hi,
I'm using VS2012, target framework is .NET 4.5.2
Is your code crashing on all computers with R29? Can you run a test on a R29 GA (rollback the SP if any)?
Calin
Hello,
Create the points, compute them but don't append them and then use SPAWorkbench to get the minimum distance between two objects (i.e your points and the plane)
Calin
Hello,
I've created an app like this way back, like 10 years ago. It was running CATDUA on all associated Documents of a root ProductDocument simply because made life simpler for all designers and they didn't have to care about what Batch CATDUA does.
Yes, it was fun, not sure worth redoing it...
Hello,
If your process allows copy/cut-paste in the tree then use Cut and re-insert them in the order you'd like. Otherwise, no, I am not aware of any method of inserting in a specific position.
@HarunMusic: go here and in the description there is link to download an app to reorder the specs...